;------------------------------------------------------------------------------
;LivingWorld.ini
;
;------------------------------------------------------------------------------
;
; Initially created to specify regions in the LivingWorld map where user
; can click and enter a map.  Currently the Region format is:
;  Region name
;    Offset  = X:0.0  Y:0.0    ; Location on map from 0..1 to start region.
;    Size  = X:0.0  Y:0.0    ; Size of region from 0..1.
;    LoadMap  = MapName      ; Name of map to load
;    DisplayName  = The Map  ; What users see the map name as.
;  End
;
;------------------------------------------------------------------------------
; 
; For some reason, you cannot use quotes on a string unless there is a space.
;
;------------------------------------------------------------------------------

#define ARMY_SELECTION_FADEOUT_HOLD_PERCENT 0.16

;------------------------------------------------------------------------------
; Note that LivingWorldMapInfo is required before any LivingWorldRegions are loaded.
LivingWorldMapInfo
  MapObject = LivingMap
  NumWorldTiles = 20
  CloudBorderSubObject	= bordercloud
  TextLayerSubObject	= "text plane"
  
  AddShadowSubObject	= LM_MinasTirith
  AddShadowSubObject	= LM_DOLGULDUR
  AddShadowSubObject	= LM_EREBOR
  AddShadowSubObject	= LM_BLACKGATE
  AddShadowSubObject	= LM_CIRITHONGUL
  AddShadowSubObject	= LM_HELMSDEEP
  AddShadowSubObject	= LM_ORTHANCTOWER
  AddShadowSubObject	= LM_RIVENDELL
  
  
  Center    = X:226 Y:844	
  Extent    = X:2900 Y:2250
  
  AptCenter		= X:2500 Y:-2000
  AptZoom		= 0.85		// 0 - 1, 1 being fully zoomed out.
  AptPitch		= 0.0		// 0 = looking straight down, 1.5 = angled across the world (radians)
  
  CameraBoundX = 0.6575
  CameraBoundY = 0.66

  ClickScrollThreshold = 100	;// How much the screen can scroll before a click is ignored.
  
  MouseWheelZoomPerTick		= 0.01		;// How much the mouse zoom is updated per frame per mouse wheel tick. Keep between 0-1 (probably a small value around 0.01).
  MouseWheelZoomDampenFactor	= 0.82		;// The dampening factor to apply to MouseWheelZoomPerTick per frame. Should be between 0-1.
  
  AutoScrollSpeed = 350.0			;// Preferred speed (in world units per second) that should be used to scroll to selected objects.
  MaxAutoScrollTime = 1.5			;// Max time that should be allowed for auto-scrolling, so the scroll speeds up if moving far away, or if you're zoomed out really far.

  NumPointsPerArmyLine = 100			// Number of points along the lines that show where armies are moving.
  ArmyLineHeightBias = 3.0			// This is added to the height of each point so it doesn't conflict with the terrain.
  ArmyLineWidth = 6.0
  ArmyLineColorAttacking = R:255 G:0 B:0
  ArmyLineColorNeutral = R:240 G:180 B:38
  ArmyLineColorAllied = R:240 G:180 B:38
  ArmyLineTextureName = EXLaser.tga

  Ambient	= R:0 G:0 B:0		;Ambient color
  SunDir	= X:45 Y:45		;Sun direction
  SunRGB	= R:115 G:95 B:88	;Sun color

  Accent1Dir	= X:19 Y:140
  ;Accent1RGB	= R:55 G:80 B:156	;Accent1 color 
  Accent1RGB	= R:99 G:99 B:99
    
  Accent2Dir	= X:27 Y:300
  Accent2RGB	= R:44 G:34 B:51	;Accent2 color

  MenBanner		= GU_Banr_A
  ElvesBanner		= GU_Banr_A
  DwarvesBanner		= GU_Banr_A
  IsengardBanner	= MU_Banr_A
  MordorBanner		= MU_Banr_A
  WildBanner		= MU_Banr_A
  
  NeutralBanner		= GU_Banr_A

  MenAnts		= ArmyAnts
  ElvesAnts		= ArmyAnts
  DwarvesAnts		= ArmyAnts
  IsengardAnts		= ArmyAnts
  MordorAnts		= ArmyAnts
  WildAnts		= ArmyAnts
  
  NeutralAnts		= ArmyAnts

  BannerScaleSpeed	= 0.01
  BannerMaxScale	= 2.00
  BannerTiltAngle	= 10.0
  
  BannerHeight		= 90.0
  ArmyHeight		= 80.0
  BeaconHeight		= 20.0
  DefaultArmyMoveSpeed	= 20.0
  HeroArmyIconDiameter	= 40.0			;// The diameter of most hero army icons. Used to offset opposing armies when they enter the same territory.
  
  BattleMarker				= LM_BMarker
  PalantirMarker			= LM_BattleMrkrB
  RegionAwardDisputeMarker	= LM_AMarker
  BattleMarkerCreatedSound	= LivingWorldBattleMarkerCreated
  
  EnterMapSound			 = LivingWorldEnterMission
  
  AnimRays		      	 = LM_Sunrays2
  AnimRaysColor          = R:255 G:218 B:178
;  AnimRaysPartSys       = LM_SunraysSystem
  AnimRaysPartSysOffset  = X:0 Y:0 Z:0
  AnimRaysColorScale     = 0.15
  AnimRaysEffectShells   = 6
  AnimRaysEffectDiameter = 200
  AnimRaysEffectLifetime = 300
  AnimRaysCreateSound   = PartTheHeavens
  
  AnimCloud			    = LM_CloudFlashes ; dark cloud flashes
  AnimCloudPartSys      = MordorCloudLightningFlare    ; Particle system of flashes
  NumAnimClouds         = 25
  AnimCloudRegionMin    = X:2900 Y:-600 Z:300
  AnimCloudRegionMax    = X:1600 Y:400 Z:250
  AnimCloudLifetime     = 300
  
;  MordorCloud		  = LM_MordorCloud ;	cloud haze
;  MordorCloud		  = LM_CloudBox ;	Empty object with bounding box req for "Parting the Heavens"
  EmbersPartSys       = MordorCloudsWorld1    ; Particle system of volcano embers
  CloudPos            = X:2100 Y:150 Z:200   ;Position of Mt Doom Clouds
  CloudGrowthPos	  = X:1900 Y:-500 Z:300	; position of cloud
;  CloudGrowthRate     = 0						; rate cloud scales 
;  CloudInitialSize    = .55					; initial scale of the cloud asset
;  CloudGrowthSize     = 5.0					; max size (x original size of the cloud asset)
;  CloudInitialOpacity = .5					; initial opacity 

  ShadowColor R:60 G:60 B:80 A:120		; color of shadow, 0-255 RGBA
  ; EnableMapShadows = Yes	;// Has no meaning at the moment, was intended for self-shadowing world.
  
	;--------------------------------------------
	; Army Icon fade vals
	;--------------------------------------------
	ArmySelectedFadeInStart		= 0
	ArmySelectedFadeInEnd		= 8
	ArmySelectedFadeOutStart	= 9
	ArmySelectedFadeOutEnd		= 20
	ArmyHilightedFadeInTime		= 15
	ArmyHilightedFadeOutTime	= 10
	
	
	;--------------------------------------------
	; Eye Tower data
	;--------------------------------------------
	;EyeTower
	;	PupilAnimObject			= EyeTower_Pupil
	;	PupilBeamAnimObject		= EyeTower_EyeBeam
	;	EyeDecalAnimObject		= EyeTower_Decal
	;	EyeDecalBeamAnimObject	= EyeTower_Decal_Beam
	;End
End


//-------------------------------------------------------------------------------------------------
// Army Icons
//-------------------------------------------------------------------------------------------------

#include "LivingWorldIcons\MoWIcons.ini"
#include "LivingWorldIcons\ElfIcons.ini"
#include "LivingWorldIcons\DwarfIcons.ini"
#include "LivingWorldIcons\MordorIcons.ini"
#include "LivingWorldIcons\IsengardIcons.ini"
#include "LivingWorldIcons\WildIcons.ini"




;/////////////////////////////////////
;// City_Large (strictly for use as a mouseover target)
;/////////////////////////////////////
LivingWorldArmyIcon City_Large
	Object Soldiers
		Model		= LM_PickNoVis						; model name
;		Model		= LM_PickVis						; model name
		ZOffset		= 2
		Scale		= 1.0								
		Clickable	= Yes
	End
End

;/////////////////////////////////////
;// City_Medium (strictly for use as a mouseover target)
;/////////////////////////////////////
LivingWorldArmyIcon City_Medium
	Object Soldiers
		Model		= LM_PickNoVis						; model name
;		Model		= LM_PickVis						; model name
		ZOffset		= 2
		Scale		= 1.0								
		Clickable	= Yes
	End
End

;/////////////////////////////////////
;// City_Small (strictly for use as a mouseover target)
;/////////////////////////////////////
LivingWorldArmyIcon City_Small
	Object Soldiers
		Model		= LM_PickNoVisS						; model name
;		Model		= LM_PickVisS						; model name
		ZOffset		= 2
		Scale		= 1.0								
		Clickable	= Yes
	End
End

;------------------------------------------------------------------------------
; Animation Objects  ----------------------------------------------------------

LivingWorldAnimObject EyeTower
	Model		= LM_Brdr						; model used
	Pos			= x:2458 Y:170 Z:25.00			; map offset
	OrientAngle = 25
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject EyeTower_Pupil
	Model		= LM_BrdrPupil					; model used
	Pos			= x:2458 Y:170 Z:200			; map offset
	OrientAngle = 25
End

;LivingWorldAnimObject EyeTower_EyeBeam
;	Model		= LM_BrdrLight					; model used
;	Pos			= x:2458 Y:170 Z:200			; map offset
;End

;LivingWorldAnimObject EyeTower_Decal
;	Model		= LM_BrdrEye					; model used
;	Pos			= x:2000 Y:170 Z:50				; map offset
;End

;LivingWorldAnimObject EyeTower_Decal_Beam
;	Model		= LM_BrdrLightB					; model used
;	Pos			= x:2000 Y:170 Z:50				; map offset
;End

LivingWorldAnimObject Fellbeast1
	Model		= LMFellBeast					; model used
	Pos			= x:1335 Y:33 Z:200				; map offset
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Fellbeast2
	Model		= LMFellBeast					; model used
	Pos			= x:1928 Y:-309 Z:200			; map offset
	Frame		= 0.33							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Fellbeast3
	Model		= LMFellBeast					; model used
	Pos			= x:2348 Y:278 Z:200			; map offset
	Frame		= 0.66							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Eagle1
	Model		= LMEagle						; model used
	Pos			= x:356 Y:1016 Z:200			; map offset
	Frame		= 0.66							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Eagle2
	Model		= LMEagle						; model used
	Pos			= x:136 Y:1187 Z:200			; map offset
	Frame		= 0.33							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Eagle3
	Model		= LMEagle						; model used
	Pos			= x:566 Y:1264 Z:200			; map offset
	Frame		= 0.55							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End

LivingWorldAnimObject Eagle4
	Model		= LMEagle						; model used
	Pos			= x:121 Y:1753 Z:200			; map offset
	Frame		= 0.11							; starting anim frame (0 to 1.0 - used as percent of total frames in anim)
	HasAnim		= Yes
	Xfer		= Yes							; this object should be xferred (position can change during campaign)
	Shadow		= SHADOW_VOLUME
End



//-------------------------------------------------------------------------------------------------
// Test structures
// Comment this out if you don't want to load them.
//-------------------------------------------------------------------------------------------------

//#include "LivingWorldTestStructures.ini"


;------------------------------------------------------------------------------
; Sounds  ---------------------------------------------------------------------

; "Free" sounds around the world
LivingWorldSound MountDoomSound
	Position	= X:2100 Y:0 Z:100
	Sound		= LivingWorldMountDoomLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound FellbeastMinasTirith
	Position	= X:1200 Y:-300 Z:100
	Sound		= LivingWorldFellbeastMinasTirithLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound FellbeastNEMountDoom
	Position	= X:2300 Y:200 Z:100
	Sound		= LivingWorldFellbeastNEMountDoomLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound FellbeastSWMountDoom
	Position	= X:1900 Y:-400 Z:100
	Sound		= LivingWorldFellbeastSWMountDoomLoop
	Flags		= VISIBLE ; Just for optimization
End

	;---------- birds -----------

LivingWorldSound FalconHovanion
	Position	= X:1800 Y:1100 Z:100
	Sound		= LivingWorldFalconLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound FalconShire
	Position	= X:-500 Y:600 Z:100
	Sound		= LivingWorldFalconLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound Eagles
	Position	= X:525 Y:1000 Z:100
	Sound		= LivingWorldEagleLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound SeagullIsland
	Position	= X:600 Y:-800 Z:100
	Sound		= LivingWorldSeagullLoop
	Flags		= VISIBLE ; Just for optimization
End

	;--------- forest ------------

LivingWorldSound ForestValleyRivendell
	Position	= X:-275 Y:1000 Z:100
	Sound		= LivingWorldForest2Loop
	Flags		= VISIBLE ; Just for optimization
End

;LivingWorldSound ForestValleySouthOfShire
;	Position	= X:-550 Y:700 Z:100
;	Sound		= LivingWorldForest1Loop
;	Flags		= VISIBLE ; Just for optimization
;End

LivingWorldSound ForestValleyShire
	Position	= X:-650 Y:1100 Z:100
	Sound		= LivingWorldForest2Loop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound ForestValleyFangorn
	Position	= X:850 Y:850 Z:100
	Sound		= LivingWorldForest1Loop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound ForestValleyLothlorien
	Position	= X:1200 Y:1300 Z:100
	Sound		= LivingWorldForest2Loop
	Flags		= VISIBLE ; Just for optimization
End

	;--------- surf ------------

LivingWorldSound SeagullTip
	Position	= X:-650 Y:-750 Z:100
	Sound		= LivingWorldSeagullLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound OceanWavesBayOfBelfalas
	Position	= X:50 Y:-600 Z:100
	Sound		= LivingWorldSurfBayOfBelfalasLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound OceanWavesTip
	Position	= X:-700 Y:-715 Z:100
	Sound		= LivingWorldSurfTipLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound OceanWavesIsland
	Position	= X:600 Y:-825 Z:100
	Sound		= LivingWorldSurfIslandLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound OceanWavesSouthOfHarandor
	Position	= X:800 Y:-1250 Z:100
	Sound		= LivingWorldSurfSouthOfHarandorLoop
	Flags		= VISIBLE ; Just for optimization
End

LivingWorldSound OceanWavesWestOfIsengard
	Position	= X:-700 Y:100 Z:100
	Sound		= LivingWorldSurfWestOfIsengardLoop
	Flags		= VISIBLE ; Just for optimization
End

	;-------------------------------------

LivingWorldSound Wind
	Sound		= LivingMapWind       
	; Since this is a 2D sound, no position needs to be specified
	Flags		= VISIBLE ; Just for optimization
End

; Plays every time we zoom into the L.W.
LivingWorldSound ZoomInSound
	Sound = LivingWorldZoomIn
	Flags = ZOOMING_IN 
	; Region is "entire world" - play zooming into anywhere	
	ZoomRegionLow = X:-500000000 Y:-500000000
	ZoomRegionHigh = X:500000000 Y:500000000
End

;
; Living World Object Templates
;

LivingWorldObject DEFAULT
	ObjectType			= DEFAULT
	DefaultFlashValue	= 0.0
	FlashVariation		= 1.0
End

LivingWorldObject CLOUD
	ObjectType			= CLOUD
	DefaultFlashValue	= 0.0
	FlashVariation		= 1.0
End

LivingWorldObject ARMY
	ObjectType			= ARMY
	DefaultFlashValue	= 0.32
	FlashVariation		= 1.0
End

LivingWorldObject BATTLE_MARKER
	ObjectType			= BATTLE_MARKER
	DefaultFlashValue	= 0.5
	FlashVariation		= 1.0
End

LivingWorldObject REGION_AWARD_DISPUTE
	ObjectType			= REGION_AWARD_DISPUTE
	DefaultFlashValue	= 0.5
	FlashVariation		= 1.0
End

LivingWorldObject BUILDING
	ObjectType			= BUILDING
	DefaultFlashValue	= 0.32
	FlashVariation		= 1.0
End

;------------------------------------------------------------------------------


